## org.apache.tools.ant.taskdefs.condition
Class IsFalse

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.taskdefs.condition.IsFalse

All Implemented Interfaces:
  Condition

public class IsFalse
extends ProjectComponent
implements Condition

Condition that tests whether a given string evals to false

Since:
  Ant 1.5
Author:
  Steve Loughran

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IsFalse()`

Method Summary
`boolean` `eval()` return the inverted value;
`void` `setValue(boolean value)` set the value to be tested; let ant eval it to true/false

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsFalse

    public IsFalse()

Method Detail

### setValue

    public void setValue(boolean value)

  set the value to be tested; let ant eval it to true/false

### eval

    public boolean eval()
                 throws BuildException

  return the inverted value;

  Specified by:
    `eval` in interface `Condition`
  Throws:
    `BuildException` - if someone forgot to spec a value

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.